Access Group Management API
Get Access Group List
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| access_group_id | String | Body | Access group ID |
| access_group_name | String | Body | Access group name |
| access_group_type | String | Body | Access group type, system or customized |
| repeat_mode | String | Body | Repeat mode, never or daily or weekly |
| available_days | []String | Body | Available days |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| user_count | Integer | Body | User count |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_access_group_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": {
"access_group_name": "test",
"access_group_type": "system",
"start_time": "00:00:00",
"finish_time": "23:59:59",
"repeat_mode": "daily",
"available_days": [],
"created_time": "2024-03-29 08:48:18",
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"mac": "C10519082089",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"device_type": "Multi-tenants Doorphone",
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}
}
Failure Return Example
Get Access Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| access_group_id | String | Body | Yes | Access group ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| access_group_name | String | Body | Access group name |
| access_group_type | String | Body | Access group type, system or customized |
| devices | []Object<device> | Body | Device information |
| repeat_mode | String | Body | Repeat mode, never or daily or weekly |
| available_days | []String | Body | Available days |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| created_time | String | Body | Created time, UTC |
device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| mac | String | Body | MAC |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control |
| relays | []Object<relay> | Body | Relay information |
| security_relays | []Object<relay> | Body | Security relay information |
relay description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| relay_name | String | Body | Relay name |
| relay_number | String | Body | Relay number |
| relay_id | String | Body | Relay ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_access_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"access_group_id": "arbr2c4b070cc928496198944858b344f",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": {
"access_group_name": "test",
"access_group_type": "system",
"start_time": "00:00:00",
"finish_time": "23:59:59",
"repeat_mode": "daily",
"available_days": [],
"created_time": "2024-03-29 08:48:18",
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"mac": "C10519082089",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"device_type": "Multi-tenants Doorphone",
"security_relays": [],
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}
}
Failure Return Example
Get Access Group Device List
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| mac | String | Body | MAC |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control |
| relays | []Object<relay> | Body | Relay information |
| security_relays | []Object<relay> | Body | Security relay information |
relay description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| relay_name | String | Body | Relay name |
| relay_number | String | Body | Relay number |
| relay_id | String | Body | Relay ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_access_group_device_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"mac": "C10519082089",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"device_type": "Multi-tenants Doorphone",
"security_relays": [],
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}
Failure Return Example
Create Access Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| access_group_name | String | Body | Yes | Access group name |
| devices | []Object<device> | Body | Yes | Device information |
| repeat_mode | String | Body | Yes | Repeat mode, never or daily or weekly |
| available_days | []String | Body | No | Available days |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| building_id | String | Body | Yes | Building ID |
| device_id | String | Body | Yes | Device ID |
| mac | String | Body | Yes | MAC |
| relays | []Object<relay> | Body | Yes | Relay information |
| security_relays | []Object<relay> | Body | Yes | Security relay information |
relay description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| relay_id | String | Body | Yes | Relay ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| access_group_id | String | Body | Access group ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_access_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"access_group_name": "test",
"start_time": "00:00:00",
"finish_time": "23:59:59",
"repeat_mode": "daily",
"available_days": [],
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"mac": "C10519082089",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"security_relays": [],
"relays": [
{
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"access_group_id": "a2a621c1ae77040d697bd2134700f57ea"
}
}
Failure Return Example
Update Access Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| access_group_id | String | Body | Yes | Access group ID |
| access_group_name | String | Body | Yes | Access group name |
| devices | []Object<device> | Body | Yes | Device information |
| repeat_mode | String | Body | Yes | Repeat mode, never or daily or weekly |
| available_days | []String | Body | No | Available days |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
device description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| building_id | String | Body | Yes | Building ID |
| device_id | String | Body | Yes | Device ID |
| mac | String | Body | Yes | MAC |
| relays | []Object<relay> | Body | Yes | Relay information |
| security_relays | []Object<relay> | Body | Yes | Security relay information |
relay description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| relay_id | String | Body | Yes | Relay ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_access_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"access_group_id": "a2a621c1ae77040d697bd2134700f57ea",
"access_group_name": "test",
"start_time": "00:00:00",
"finish_time": "23:59:59",
"repeat_mode": "daily",
"available_days": [],
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"mac": "C10519082089",
"security_relays": [],
"relays": [
{
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Access Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| access_group_id | String | Body | Yes | Access group ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_access_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"access_group_id": "arbr2c4b070cc928496198944858b344f"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Batch Delete Access Group Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| access_groups | []Object<access_group> | Body | Yes | Access group information |
access_group description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| access_group_id | String | Body | Yes | Access group ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "batch_delete_access_group_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"access_groups": [
{
"access_group_id": "arbr2c4b070cc928496198944858b344f"
}
]
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Create Access Group Account Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| access_group_id | String | Body | Yes | Access group ID |
| account_id | String | Body | Yes | Account ID |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_access_group_account_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"access_group_id": "arbr2c4b070cc928496198944858b344f",
"residence_id": "rt1adc223cc4b3bedb6bd4742dedcfa52",
"account_id": "avbr2c4b070cc928496198944858b34xc"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Access Group Account Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| access_group_id | String | Body | Yes | Access group ID |
| residence_id | String | Body | Yes | Residence ID |
| building_id | String | Body | Yes | Building ID |
| account_id | String | Body | Yes | Account ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_access_group_account_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"access_group_id": "arbr2c4b070cc928496198944858b344f",
"residence_id": "rt1adc223cc4b3bedb6bd4742dedcfa52",
"building_id": "b21adc223cc4b3bedb6bd4742dedcfa52",
"account_id": "avbr2c4b070cc928496198944858b34xc"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}